Loading...
Searching...
No Matches
Matrix Determinant
Math Functions

## Functions

ne10_result_t | ne10_detmat_4x4f_c (ne10_float32_t *dst, ne10_mat4x4f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_detmat_4x4f_neon (ne10_float32_t *dst, ne10_mat4x4f_t *src, ne10_uint32_t count) asm("ne10_detmat_4x4f_neon")
ne10_result_t | ne10_detmat_4x4f_asm (ne10_float32_t *dst, ne10_mat4x4f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_detmat_3x3f_c (ne10_float32_t *dst, ne10_mat3x3f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_detmat_3x3f_neon (ne10_float32_t *dst, ne10_mat3x3f_t *src, ne10_uint32_t count) asm("ne10_detmat_3x3f_neon")
ne10_result_t | ne10_detmat_3x3f_asm (ne10_float32_t *dst, ne10_mat3x3f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_detmat_2x2f_c (ne10_float32_t *dst, ne10_mat2x2f_t *src, ne10_uint32_t count)
ne10_result_t | ne10_detmat_2x2f_neon (ne10_float32_t *dst, ne10_mat2x2f_t *src, ne10_uint32_t count) asm("ne10_detmat_2x2f_neon")
ne10_result_t | ne10_detmat_2x2f_asm (ne10_float32_t *dst, ne10_mat2x2f_t *src, ne10_uint32_t count)

## Variables

ne10_result_t(* | ne10_detmat_4x4f )(ne10_float32_t *dst, ne10_mat4x4f_t *src, ne10_uint32_t count)
| Calculate the determinant of a 4x4 matrix.
ne10_result_t(* | ne10_detmat_3x3f )(ne10_float32_t *dst, ne10_mat3x3f_t *src, ne10_uint32_t count)
| Calculate the determinant of a 3x3 matrix.
ne10_result_t(* | ne10_detmat_2x2f )(ne10_float32_t *dst, ne10_mat2x2f_t *src, ne10_uint32_t count)
| Calculate the determinant of a 2x2 matrix.

## Detailed Description

  These functions implement matrix determinant operation for float data type.

## Function Documentation

## ne10_detmat_2x2f_c()

ne10_result_t ne10_detmat_2x2f_c | ( | ne10_float32_t * | dst,
|  | ne10_mat2x2f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 38 of file NE10_detmat.c.

## ne10_detmat_3x3f_c()

ne10_result_t ne10_detmat_3x3f_c | ( | ne10_float32_t * | dst,
|  | ne10_mat3x3f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 46 of file NE10_detmat.c.

## ne10_detmat_4x4f_c()

ne10_result_t ne10_detmat_4x4f_c | ( | ne10_float32_t * | dst,
|  | ne10_mat4x4f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Definition at line 55 of file NE10_detmat.c.

## Variable Documentation

## ne10_detmat_2x2f

ne10_result_t(* ne10_detmat_2x2f) (ne10_float32_t *dst, ne10_mat2x2f_t *src, ne10_uint32_t count) | ( | ne10_float32_t * | dst,
|  | ne10_mat2x2f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Calculate the determinant of a 2x2 matrix.

This function point could be pointed to one of ne10_detmat_2x2f_c, ne10_detmat_2x2f_neon and ne10_detmat_2x2f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src | Pointer to the source array
  [in] | count | The number of items in the input array

Definition at line 298 of file NE10_init_math.c.

## ne10_detmat_3x3f

ne10_result_t(* ne10_detmat_3x3f) (ne10_float32_t *dst, ne10_mat3x3f_t *src, ne10_uint32_t count) | ( | ne10_float32_t * | dst,
|  | ne10_mat3x3f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Calculate the determinant of a 3x3 matrix.

This function point could be pointed to one of ne10_detmat_3x3f_c, ne10_detmat_3x3f_neon and ne10_detmat_3x3f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src | Pointer to the source array
  [in] | count | The number of items in the input array

Definition at line 297 of file NE10_init_math.c.

## ne10_detmat_4x4f

ne10_result_t(* ne10_detmat_4x4f) (ne10_float32_t *dst, ne10_mat4x4f_t *src, ne10_uint32_t count) | ( | ne10_float32_t * | dst,
|  | ne10_mat4x4f_t * | src,
|  | ne10_uint32_t | count
| ) |  |

extern

Calculate the determinant of a 4x4 matrix.

This function point could be pointed to one of ne10_detmat_4x4f_c, ne10_detmat_4x4f_neon and ne10_detmat_4x4f_asm.

Parameters

  [out] | dst | Pointer to the destination array
  [in] | src | Pointer to the source array
  [in] | count | The number of items in the input array

Definition at line 296 of file NE10_init_math.c.